Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 23

Thread: Problem installing RHEL5 3.1 binary

  1. #11
    Join Date
    Feb 2008
    Posts
    34

    Default

    I've committed a fix to the .spec and am working on building new packages.
    -Zmanda Software Release Engineer Extrordinaire

  2. #12
    Join Date
    Feb 2008
    Posts
    34

    Default Yum and gpg signatures

    Quote Originally Posted by Charles Curley View Post
    I see the same thing on a freshly minted Centos 5.5 i386 VM, with
    updates as of last night applied. I have no amada packages
    installed.

    Also, when using yum:

    * yum complains as though the RPM had broken yum.

    * yum also complains that the package isn't signed.
    Well, the RPM sort of does break things, but not in any permanent way. Generating a conflict with not-installed packages on install is pretty broken, eh?

    And we don't currently sign our packages, so that error is going to come up even with the fixed package.

    Dan
    -Zmanda Software Release Engineer Extrordinaire

  3. #13
    Join Date
    Feb 2008
    Posts
    34

    Default sourceforge diff

    Here's a diff of the changes. They're very simple.

    [url]http://amanda.svn.sourceforge.net/viewvc/amanda/amanda/branches/3_1_0_rpm/packaging/rpm/amanda.spec?view=diff&r1=3141&r2=3139&diff_format= h[/url]

    I haven't figured out exactly how I'm going to tag this for release, but we'll have packages either later today or tomorrow morning.

    Dan
    -Zmanda Software Release Engineer Extrordinaire

  4. #14
    Join Date
    Feb 2008
    Posts
    34

    Default Updated RPMs available

    Updated rpms are available for download at [url]http://www.zmanda.com/download-amanda.php[/url]

    Dan
    -Zmanda Software Release Engineer Extrordinaire

  5. #15

    Default

    The new rpm's work for me. Thanks for fixing this so quickly!

  6. #16
    Join Date
    Aug 2008
    Posts
    184

    Default

    Quote Originally Posted by PilotJLR View Post
    The new rpm's work for me. Thanks for fixing this so quickly!
    We are glad that the new RPMs worked. Please do share your overall Amanda experience (installation, configuration, hardware, performance). This is very useful for other Amanda users.

    Thanks

  7. #17

    Default

    Works well for us, too; thanks for fixing it!

  8. #18

    Default amcheck error: loading share libraries: libcrypto.so.7

    Hi all,

    I met a problem when I did amcheck.

    -sh-3.2$ amcheck DailySet1

    Amanda Tape Server Host Check
    -----------------------------
    Holding disk /dumps/amanda: 1175552 KB disk space available, using 1073152 KB
    slot 1:read label `DailySet1-01', date `X'.
    NOTE: skipping tape-writable test
    Tape DailySet1-01 label ok
    NOTE: conf info dir /etc/amanda/DailySet1/curinfo does not exist
    NOTE: it will be created on the next run.
    NOTE: index dir /etc/amanda/DailySet1/index does not exist
    NOTE: it will be created on the next run.
    Server check took 3.633 seconds

    Amanda Backup Client Hosts Check
    --------------------------------
    WARNING: synergy.amanda.com: selfcheck request failed: tcpm_recv_token: invalid size: amandad: error while loading shared libraries: libcrypto.so.7: cannot open shared object file: No su
    Client check: 1 host checked in 0.191 seconds. 1 problem found.

    (brought to you by Amanda 2.6.1p2)

    I have tried to install libcrypto.so.7 package, but it always Failed Dependencies. And files conflict:

    [root@synergy Desktop]# rpm -ivh openssl-0.9.8g-9.14.0.140asp.i386.rpm
    warning: openssl-0.9.8g-9.14.0.140asp.i386.rpm: Header V3 DSA signature: NOKEY, key ID 9b3c94f4
    error: Failed dependencies:
    libc.so.6(GLIBC_2.7) is needed by openssl-0.9.8g-9.14.0.140asp.i386

    [root@synergy Desktop]# rpm -ivh glibc-2.7-2.x86_64.rpm
    warning: glibc-2.7-2.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
    error: Failed dependencies:
    glibc-common = 2.7-2 is needed by glibc-2.7-2.x86_64
    glibc > 2.5 conflicts with glibc-common-2.5-49.i386

    Need help!!!


    Thanks
    Larry

  9. #19

    Default

    Quote Originally Posted by synergy02046 View Post
    WARNING: synergy.amanda.com: selfcheck request failed: tcpm_recv_token: invalid size: amandad: error while loading shared libraries: libcrypto.so.7: cannot open shared object file: No su
    Client check: 1 host checked in 0.191 seconds. 1 problem found.
    Hmm, which operating system are you using?

    That's a rather old version of libcrypto; my machines here are 0.9.8 or so. Do you have a more recent version of libcrypto installed? In that case one possible hack is to symlink to it. Use locate to find out what you have and where it is, then cd there. E.g.:

    Code:
    # locate libcrypto.so
    # cd /lib32/i486/
    # ln -s libcrypto.so.0.9.8 libcrypto.so.0.7
    This hack could break amanda, of course.

  10. #20

    Default

    Thanks the new rpm installs just fine.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •